'use strict';

/**
 * @ngdoc overview
 * @name monarchLivingApp
 * @description
 * # monarchLivingApp
 *
 * Main module of the application.
 */
angular
  .module('monarchLiving', [
    'ngAnimate',
    'ngCookies',
    'ngResource',
    'ngRoute',
    'ngSanitize',
    'ngTouch'
  ])
  .config(function ($routeProvider) {
    $routeProvider
      .when('/', {
        templateUrl: 'views/main.html',
        controller: 'MainCtrl',
        controllerAs: 'main'
      })
      .when('/about', {
        templateUrl: 'views/about.html',
        controller: 'AboutCtrl',
        controllerAs: 'about'
      })
      .otherwise({
        redirectTo: '/'
      });
  });

var monarchLiving = angular.module('monarchLiving', []);

monarchLiving.directive('items', function(){
    return {
        
        restrict: 'EA',
        replace: true,
        scope: true,
        templateUrl: 'templates/items.html',
        link: function(scope, element, attrs){
            console.log('test');
            scope.showMe = false;
            scope.toggle = function toggle(){
                scope.showMe = !scope.showMe;
            };
        }
        
        
    }
        
    
    
});

monarchLiving.controller('ngrCtrl', function($scope){
    $scope.collection = ['images/2.jpg', 'images/5.jpg', 'images/9.jpg','images/12.jpg', 'images/13.jpg', 'images/20.jpg', 'images/27.jpg', 'images/8.jpg', 'images/14.jpg', 'images/17.jpg', 'images/19.jpg', 'images/24.jpg'];
       
});